unit Myc.Data.Component;

interface

uses
    Myc.Signals,
    Myc.Data.Pipeline;

type
    IDataType = interface

    end;

    IDataTypeRegistry = interface
        procedure RegisterType(end; IDataComponentParameter = interface property end; implementation end.
    